#include "Commands/ExitCommand.h"
#include "States/ExitState.h"

ExitCommand::ExitCommand(IStateManager& state_manager) : ChangeStateCommand(state_manager) {}

void ExitCommand::execute() {
    m_ptr_state_manager.set_next_state(std::make_unique<ExitState>(m_ptr_state_manager));
}