#include "Context/GameContext.h"

GameContext GameContext::clone() const {
    GameContext context;
    context.pacman = std::move(pacman);
    context.state = state;
    for (auto& dyn : dynamic_objects)
        context.dynamic_objects.emplace_back(dyn->clone());
    for (auto& stat : static_objects)
        context.static_objects.emplace_back(stat->clone());
    return context;
}