#include "Draw/Textures/EnemyTexture.h"

EnemyTexture::EnemyTexture() {
    if (!m_texture.loadFromFile(ASSETS_PATH + std::string(config::ENEMY_TEXTURE_FILE)))
        throw std::runtime_error("Could not open the EnemyTexture file!");
}

EnemyTexture& EnemyTexture::Instance() {
    static EnemyTexture instance;
    return instance;
}